MongoId::getPID
MongoId::__set_state
MongoId
PHP Manual

# MongoId::getTimestamp

Gets the number of seconds since the epoch that this id was created

### Description

public int MongoId::getTimestamp ( void )

This returns the same thing as running time when the id is created.

### Parameters

This function has no parameters.

### Return Values

Returns the number of seconds since the epoch that this id was created. There are only four bytes of timestamp stored, so MongoDate is a better choice for storing exact or wide-ranging times.